=== debian/changelog ===
pdf2djvu (0.9.10-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + bump djvulibre version among build- and runtime-deps.
  * deb/changelog:
    + remove trailing whitespace.

 -- Daniel Stender <stender@debian.org>  Fri, 03 Aug 2018 12:13:53 +0200

pdf2djvu (0.9.9-2) unstable; urgency=medium

  * deb/docs:
    + drop doc/cjk.txt (Closes: #903339).
    + update remaining file names.

 -- Daniel Stender <stender@debian.org>  Tue, 10 Jul 2018 08:53:05 +0200

pdf2djvu (0.9.9-1) unstable; urgency=medium

  * New upstream release.
  * use fontconfig to prevent test failure (Closes: #897251):
    + add fontconfig to build-deps in deb/control:
    + pull fontconfig also into DEP-8 environment by deb/tests/control.
  * deb/changelog:
    + expand copyright span of upstream code.
  * deb/rules:
    + drop unnecessary parallel argument from dh sequencer call.

 -- Daniel Stender <stender@debian.org>  Sat, 05 May 2018 12:28:50 +0200
