=== tests/Makefile ===
--- 
+++ 
@@ -13,6 +13,8 @@
 
 srcdir = ..
 include $(srcdir)/autoconf.mk
+
+PYTHON = python
 
 export LC_ALL = C
 
@@ -33,7 +35,7 @@
 all: $(pdf2djvu)
 endif
 all: $(generated_files)
-	nosetests -v
+	$(PYTHON) -c 'import nose; nose.main()' -v
 
 .PHONY: prepare
 prepare: $(generated_files)
