=== win32/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2009-2018 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2009-2019 Jakub Wilk <jwilk@jwilk.net>
 #
 # This file is part of pdf2djvu.
 #
@@ -25,9 +25,9 @@
 
 djvulibre_tools = bzz c44 cjb2 csepdjvu djvuextract djvumake djvused djvmcvt
 
-WGET = wget
+download =
 untar = tar --strip-components=1 -xf
-ship_dll = cp bin/$1*.dll dist/ && $(STRIP) dist/$1*.dll && chmod a-x dist/$1*.dll
+ship_dll = install -m 644 bin/$1*.dll dist/ && $(STRIP) dist/$1*.dll
 
 cmake_options = \
 	-DCMAKE_SYSTEM_NAME=Windows \
@@ -57,13 +57,15 @@
 export WINE = wine
 export WINESERVER = /usr/lib/wine/wineserver32
 
+ifneq "$(download)" ""
+export PDF2DJVU_DOWNLOAD = 1
+endif
+
 .PHONY: all
 all:
 	@echo Usage:
 	@echo '  make source-dist'
 	@echo '  make binary-dist'
-	@echo
-	@echo Note: This makefile downloads third-party libraries from the Internet.
 
 .PHONY: clean
 
@@ -71,7 +73,7 @@
 
 src_tarball_topdir = pdf2djvu-win32-source-$(version)
 src_tarball_name = pdf2djvu-win32-source-$(version)
-tar_opts = --owner root --group root --mode a+rX --format ustar --sort name
+tar_opts = --owner root --group root --mode u=rwX,go=rX --format ustar --sort name
 xz_opts = -8e
 
 .PHONY: source-dist
@@ -100,11 +102,13 @@
 
 .PHONY: binary-dist
 binary-dist: install
-	mkdir -p $(zipball_topdir)
+	rm -rf $(zipball_topdir)
+	mkdir $(zipball_topdir)
 	! strings -f dist/*.exe dist/*.dll | grep -F '$(CURDIR)'
+	! strings -l e -f dist/*.exe dist/*.dll | grep -F '$(CURDIR)'
 	cp -rl dist/* $(zipball_topdir)
 	chmod a-x $(zipball_topdir)/*.exe
-	chmod -R a+rX $(zipball_topdir)
+	chmod -R u=rwX,go=rX $(zipball_topdir)
 	zip $(zip_opts) $(zipball_name).zip $(zipball_topdir)
 	rm -r $(zipball_topdir)
 
@@ -124,7 +128,7 @@
 
 # pdf2djvu
 
-src/pdf2djvu/source-stamp: dcache/$(orig_src_tarball)
+src/pdf2djvu/source-stamp: src.tar/$(orig_src_tarball)
 	mkdir -p $(dir $@)
 	$(untar) $(<) -C $(dir $@)
 	rm -f $(dir $@)/paths.hh
@@ -150,7 +154,7 @@
 	touch $(@)
 
 src/pdf2djvu/install-stamp: src/pdf2djvu/build-stamp
-	mkdir -p dist/doc/
+	install -d dist/doc/
 	$(MAKE) install -C $(dir $@)
 	$(STRIP) dist/pdf2djvu.exe
 	xsltproc --nonet $(docbook_xsl) src/pdf2djvu/doc/manpage.xml > dist/doc/manpage.html
@@ -161,9 +165,9 @@
 			xsltproc --nonet $(docbook_xsl) $$file > $(usr)/dist/doc/manpage-$$locale.html; \
 		done
 	sed -e 's/$$/\r/' < src/pdf2djvu/doc/COPYING > dist/doc/COPYING.txt
-	cd src/pdf2djvu/doc \
-		ls *.txt | sed -e '/build-/d; s/[.]txt$$//' \
-		| xargs -I{file} -t rst2html {file}.txt $(usr)/dist/doc/{file}.html
+	cd src/pdf2djvu/doc && \
+		ls README credits djvudigital \
+		| xargs -I{file} -t rst2html {file} $(usr)/dist/doc/{file}.html
 	sed -e 's/$$/\r/' < src/pdf2djvu/doc/changelog > dist/doc/changelog.txt
 	touch $(@)
 
@@ -179,7 +183,7 @@
 src/libs-install-stamp: src/exiv2/install-stamp
 src/libs-install-stamp: src/poppler/install-stamp
 src/libs-install-stamp: src/winiconv/install-stamp
-	mkdir -p dist/doc/
+	install -d dist/doc/
 	rst2html doc/COPYING.libs.txt > dist/doc/COPYING.libs.html
 	touch $(@)
 
@@ -187,8 +191,8 @@
 
 src/poppler/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget https://poppler.freedesktop.org/poppler-0.62.0.tar.xz 5b9a73dfd4d6f61d165ada1e4f0abd2d420494bf9d0b1c15d0db3f7b83a729c6
-	$(untar) dcache/poppler-0.62.0.tar.xz -C $(dir $@)
+	tools/wget https://poppler.freedesktop.org/poppler-0.72.0.tar.xz c1747eb8f26e9e753c4001ed951db2896edc1021b6d0f547a0bd2a27c30ada51
+	$(untar) src.tar/poppler-0.72.0.tar.xz -C $(dir $@)
 	cd $(dir $@) && QUILT_PATCHES=../../patches/poppler quilt push -a
 	rm -rf $(dir $@)/*.cache $(dir $@)/*~
 	touch $(@)
@@ -220,7 +224,10 @@
 	find $(dir $@) -name build.make -print0 \
 	| xargs -0 sed -i -e 's,\([ 	]\)\(/[^ 	]\+/\($(CC)\|$(CXX)\)\) ,\1$(CURDIR)/tools/enforce-relative-paths \2 ,'
 
-src/poppler/build-stamp: src/poppler/Makefile
+include/dummy-mutex: misc/dummy-mutex.hh
+	install -m 644 $(<) $(@)
+
+src/poppler/build-stamp: src/poppler/Makefile include/dummy-mutex
 	$(MAKE) -C $(dir $@)
 	touch $(@)
 
@@ -233,8 +240,8 @@
 
 src/poppler-data/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget https://poppler.freedesktop.org/poppler-data-0.4.8.tar.gz 1096a18161f263cccdc6d8a2eb5548c41ff8fcf9a3609243f1b6296abdf72872
-	$(untar) dcache/poppler-data-0.4.8.tar.gz -C $(dir $@)
+	tools/wget https://poppler.freedesktop.org/poppler-data-0.4.9.tar.gz 1f9c7e7de9ecd0db6ab287349e31bf815ca108a5a175cf906a90163bdbe32012
+	$(untar) src.tar/poppler-data-0.4.9.tar.gz -C $(dir $@)
 	touch $(@)
 
 src/poppler-data/build-stamp: src/poppler-data/source-stamp
@@ -243,9 +250,9 @@
 
 src/poppler-data/install-stamp: src/poppler-data/build-stamp
 	$(MAKE) -C $(dir $@) install prefix=$(usr)
-	mkdir -p dist/share/
+	install -d dist/share/
 	cp -a share/poppler dist/share/
-	mkdir -p dist/doc/
+	install -d dist/doc/
 	rst2html doc/COPYING.poppler-data.txt > dist/doc/COPYING.poppler-data.html
 	touch $(@)
 
@@ -254,7 +261,7 @@
 src/djvulibre/source-stamp:
 	mkdir -p $(dir $@)
 	tools/wget https://downloads.sourceforge.net/project/djvu/DjVuLibre/3.5.27/djvulibre-3.5.27.tar.gz e69668252565603875fb88500cde02bf93d12d48a3884e472696c896e81f505f
-	$(untar) dcache/djvulibre-*.tar.gz -C $(dir $@)
+	$(untar) src.tar/djvulibre-*.tar.gz -C $(dir $@)
 	sed -i -e 's/[A-Z]\+_EXPORT/DLL_EXPORT/' $(dir $@)/libdjvu/*.h
 	sed -i -e 's/#if.*def.*AUTOCONF.*/#if 0/' $(dir $@)/libdjvu/DjVuMessage.cpp
 	touch $(@)
@@ -271,13 +278,13 @@
 	touch $(@)
 
 src/djvulibre/install-stamp: src/djvulibre/build-stamp
-	mkdir -p dist/
+	install -d dist/
 	$(MAKE) -C $(dir $@)/libdjvu install
 	$(MAKE) -C $(dir $@)/tools install
 	set -e && \
 	for tool in $(djvulibre_tools); do \
-		cp bin/$$tool.exe bin/$$tool; \
-		cp bin/$$tool.exe dist/; \
+		install bin/$$tool.exe bin/$$tool; \
+		install bin/$$tool.exe dist/; \
 		$(STRIP) dist/$$tool.exe; \
 	done
 	$(call ship_dll,libdjvulibre)
@@ -287,8 +294,8 @@
 
 src/graphicsmagick/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget https://downloads.sourceforge.net/project/graphicsmagick/graphicsmagick/1.3.27/GraphicsMagick-1.3.27.tar.xz d03278d2790efc1dc72309f85a539810d2a81deb47932f7e6720d09ac72d0367
-	$(untar) dcache/GraphicsMagick-1.3.27.tar.xz -C $(dir $@)
+	tools/wget https://downloads.sourceforge.net/project/graphicsmagick/graphicsmagick/1.3.31/GraphicsMagick-1.3.31.tar.xz 096bbb59d6f3abd32b562fc3b34ea90d88741dc5dd888731d61d17e100394278
+	$(untar) src.tar/GraphicsMagick-1.3.31.tar.xz -C $(dir $@)
 	cd $(dir $@) && QUILT_PATCHES=../../patches/graphicsmagick quilt push -a
 	cd $(dir $@) && autoreconf -vfi
 	rm -rf $(dir $@)/*.cache $(dir $@)/magick/*~
@@ -306,12 +313,10 @@
 			--without-bzlib \
 			--without-dps \
 			--without-fpx \
-			--without-gslib \
 			--without-jbig \
 			--without-webp \
 			--without-jpeg \
 			--without-jp2 \
-			--without-lcms \
 			--without-lcms2 \
 			--without-lzma \
 			--without-png \
@@ -330,23 +335,26 @@
 	touch $(@)
 
 src/graphicsmagick/install-stamp: src/graphicsmagick/build-stamp
-	mkdir -p dist/
+	install -d dist/
 	$(MAKE) -C $(dir $@) install
 	$(call ship_dll,libGraphicsMagick)
 	rm dist/libGraphicsMagickWand*.dll
+	install -d dist/share/GraphicsMagick
+	install -m 644 share/GraphicsMagick-1.3.31/config/*.mgk dist/share/GraphicsMagick
 	touch $(@)
 
 # Expat
 
 src/expat/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget https://github.com/libexpat/libexpat/releases/download/R_2_2_5/expat-2.2.5.tar.bz2 d9dc32efba7e74f788fcc4f212a43216fc37cf5f23f4c2339664d473353aedf6
-	$(untar) dcache/expat-2.2.5.tar.bz2 -C $(dir $@)
+	tools/wget https://github.com/libexpat/libexpat/releases/download/R_2_2_6/expat-2.2.6.tar.bz2 17b43c2716d521369f82fc2dc70f359860e90fa440bea65b3b85f0b246ea81f2
+	$(untar) src.tar/expat-2.2.6.tar.bz2 -C $(dir $@)
 	touch $(@)
 
 src/expat/config.status: src/expat/source-stamp
 	cd $(dir $@) && \
 		./configure --host=$(host) --prefix=$(usr) \
+		--without-docbook \
 		--disable-static
 
 src/expat/build-stamp: src/expat/config.status
@@ -354,7 +362,7 @@
 	touch $(@)
 
 src/expat/install-stamp: src/expat/build-stamp
-	mkdir -p dist/
+	install -d dist/
 	$(MAKE) -C $(dir $@) install
 	$(call ship_dll,libexpat)
 	touch $(@)
@@ -363,8 +371,8 @@
 
 src/exiv2/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget http://www.exiv2.org/exiv2-0.25.tar.gz c80bfc778a15fdb06f71265db2c3d49d8493c382e516cb99b8c9f9cbde36efa4
-	$(untar) dcache/exiv2-0.25.tar.gz -C $(dir $@)
+	tools/wget http://www.exiv2.org/releases/exiv2-0.25.tar.gz c80bfc778a15fdb06f71265db2c3d49d8493c382e516cb99b8c9f9cbde36efa4
+	$(untar) src.tar/exiv2-0.25.tar.gz -C $(dir $@)
 	cd $(dir $@) && QUILT_PATCHES=../../patches/exiv2 quilt push -a
 	touch $(@)
 
@@ -382,14 +390,8 @@
 	touch $(@)
 
 src/exiv2/install-stamp: src/exiv2/build-stamp
-	mkdir -p dist/
+	install -d dist/
 	$(MAKE) -C $(dir $@) install
 	$(call ship_dll,libexiv2)
 	touch $(@)
 
-# FreeType
-
-src/freetype/source-stamp:
-	mkdir -p $(dir $@)
-	tools/wget https://download.savannah.gnu.org/releases/freetype/freetype-2.9.tar.bz2 e6ffba3c8cef93f557d1f767d7bc3dee860ac7a3aaff588a521e081bc36f4c8a
-	$(untar) dcache/freetype-2.9.tar.bz2 -C $(dir $@)
