=== debian/changelog ===
pdf2djvu (0.9.12-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + bump standards to 4.3.0 (no changes needed).
  * deb/copyright:
    + expand copyright spans to 2019.

 -- Daniel Stender <stender@debian.org>  Thu, 03 Jan 2019 11:56:53 +0100

pdf2djvu (0.9.11-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + drop dpkg-dev from b-deps (versioned dep not needed anymore).
    + drop fontconfig from b-deps (no workaround anymore for #897251).
    + bump standards to 4.2.1 (no further changes needed).
  * deb/rules:
    + build with DH_VERBOSE=1 (according to standards 4.2.0).
    + drop unnecessary export line for DEB_BUILD_OPTIONS.
    + add comment on test failures if builduser is member of "staff".
  * deb/tests: Use AUTOPKGTEST_TMP instead of ADTTMP [Ondřej Nový].
  * build with dh level 11 (changes in deb/compat and deb/control).

 -- Daniel Stender <stender@debian.org>  Wed, 31 Oct 2018 16:53:43 +0100
