=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: Daniel Stender <stender@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  djvulibre-bin (>= 3.5.25~),
- dpkg-dev (>= 1.16.1),
  libdjvulibre-dev (>= 3.5.25~),
  libgraphicsmagick++1-dev,
  libpoppler-private-dev (>= 0.24~),
@@ -14,11 +13,10 @@
  pkg-config,
  python-nose,
  python-pil,
- locales,
- fontconfig
+ locales
 Build-Conflicts:
  locales-all
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: http://jwilk.net/software/pdf2djvu
 Vcs-Browser: https://salsa.debian.org/debian/pdf2djvu
 Vcs-Git: https://salsa.debian.org/debian/pdf2djvu.git
