## pdf2djvu 0.9.13

=== debian/changelog ===
pdf2djvu (0.9.13-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + bump standards to 4.4.0 (no changes needed).

 -- Daniel Stender <stender@debian.org>  Thu, 12 Sep 2019 12:11:27 +0200
