=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  locales
 Build-Conflicts:
  locales-all
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://jwilk.net/software/pdf2djvu
 Vcs-Browser: https://salsa.debian.org/debian/pdf2djvu
 Vcs-Git: https://salsa.debian.org/debian/pdf2djvu.git
