## pdf2djvu 0.9.15

=== debian/changelog ===
pdf2djvu (0.9.15-1) unstable; urgency=medium

  * New maintainer (Closes: #945185).
  * New upstream release.

 -- Hsieh-Tseng Shen <woodrow.shen@gmail.com>  Tue, 31 Dec 2019 08:02:26 +0000

pdf2djvu (0.9.13-3) unstable; urgency=medium

  * QA upload.
  * Dont run tests, they are python2-based; Closes: #943158

 -- Sandro Tosi <morph@debian.org>  Thu, 21 Nov 2019 19:32:18 -0500

pdf2djvu (0.9.13-2) unstable; urgency=medium

  * Orphaning package.

 -- Daniel Stender <stender@debian.org>  Wed, 20 Nov 2019 23:55:35 +0100
