=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pdf2djvu
 Section: text
 Priority: optional
-Maintainer: Daniel Stender <stender@debian.org>
+Maintainer: Hsieh-Tseng Shen <woodrow.shen@gmail.com>
 Build-Depends:
  debhelper (>= 11),
  djvulibre-bin (>= 3.5.25~),
@@ -11,8 +11,8 @@
  libexiv2-dev,
  uuid-dev,
  pkg-config,
- python-nose,
- python-pil,
+# python-nose,
+# python-pil,
  locales
 Build-Conflicts:
  locales-all
