## pdf2djvu 0.9.17

=== win32/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2009-2019 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2009-2020 Jakub Wilk <jwilk@jwilk.net>
 #
 # This file is part of pdf2djvu.
 #
@@ -191,8 +191,8 @@
 
 src/poppler/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget https://poppler.freedesktop.org/poppler-0.72.0.tar.xz c1747eb8f26e9e753c4001ed951db2896edc1021b6d0f547a0bd2a27c30ada51
-	$(untar) src.tar/poppler-0.72.0.tar.xz -C $(dir $@)
+	tools/wget https://poppler.freedesktop.org/poppler-0.86.1.tar.xz af630a277c8e194c31339c5446241834aed6ed3d4b4dc7080311e51c66257f6c
+	$(untar) src.tar/poppler-0.86.1.tar.xz -C $(dir $@)
 	cd $(dir $@) && QUILT_PATCHES=../../patches/poppler quilt push -a
 	rm -rf $(dir $@)/*.cache $(dir $@)/*~
 	touch $(@)
@@ -215,7 +215,7 @@
 		-DENABLE_QT5=OFF \
 		-DENABLE_SPLASH=ON \
 		-DENABLE_UTILS=OFF \
-		-DENABLE_XPDF_HEADERS=ON \
+		-DENABLE_UNSTABLE_API_ABI_HEADERS=ON \
 		-DFONT_CONFIGURATION=fontconfig \
 		-DTESTDATADIR=/nonexistent \
 		-DWITH_NSS3=OFF \
@@ -347,8 +347,8 @@
 
 src/expat/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget https://github.com/libexpat/libexpat/releases/download/R_2_2_6/expat-2.2.6.tar.bz2 17b43c2716d521369f82fc2dc70f359860e90fa440bea65b3b85f0b246ea81f2
-	$(untar) src.tar/expat-2.2.6.tar.bz2 -C $(dir $@)
+	tools/wget https://github.com/libexpat/libexpat/releases/download/R_2_2_9/expat-2.2.9.tar.bz2 f1063084dc4302a427dabcca499c8312b3a32a29b7d2506653ecc8f950a9a237
+	$(untar) src.tar/expat-2.2.9.tar.bz2 -C $(dir $@)
 	touch $(@)
 
 src/expat/config.status: src/expat/source-stamp
@@ -371,7 +371,7 @@
 
 src/exiv2/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget http://www.exiv2.org/releases/exiv2-0.25.tar.gz c80bfc778a15fdb06f71265db2c3d49d8493c382e516cb99b8c9f9cbde36efa4
+	tools/wget https://www.exiv2.org/releases/exiv2-0.25.tar.gz c80bfc778a15fdb06f71265db2c3d49d8493c382e516cb99b8c9f9cbde36efa4
 	$(untar) src.tar/exiv2-0.25.tar.gz -C $(dir $@)
 	cd $(dir $@) && QUILT_PATCHES=../../patches/exiv2 quilt push -a
 	touch $(@)
@@ -393,5 +393,3 @@
 	install -d dist/
 	$(MAKE) -C $(dir $@) install
 	$(call ship_dll,libexiv2)
-	touch $(@)
-
