=== debian/changelog ===
pdf2djvu (0.9.17-1build1) focal; urgency=medium

  * Rebuild with the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 27 Mar 2020 18:03:38 +0100

pdf2djvu (0.9.17-1) unstable; urgency=medium

  * New upstream release.
    + drop support for Poppler < 0.35.
  * deb/control:
    + update Poppler build-depends accordingly.
    + upgrade compat 12.
    + bump standards to 4.5.0.

 -- Hsieh-Tseng Shen <woodrow.shen@gmail.com>  Wed, 04 Mar 2020 03:14:07 +0000
