=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Hsieh-Tseng Shen <woodrow.shen@gmail.com>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  djvulibre-bin (>= 3.5.25~),
  libdjvulibre-dev (>= 3.5.25~),
  libgraphicsmagick++1-dev,
- libpoppler-private-dev (>= 0.24~),
+ libpoppler-private-dev (>= 0.35~),
  libexiv2-dev,
  uuid-dev,
  pkg-config,
@@ -16,7 +16,7 @@
  locales
 Build-Conflicts:
  locales-all
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: http://jwilk.net/software/pdf2djvu
 Vcs-Browser: https://salsa.debian.org/debian/pdf2djvu
 Vcs-Git: https://salsa.debian.org/debian/pdf2djvu.git
