## pdf2djvu 0.9.17.1

=== Makefile ===
--- 
+++ 
@@ -80,6 +80,10 @@
 test: $(exe)
 	$(MAKE) -C tests/
 
+.PHONY: test-installed
+test-installed: $(or $(shell command -v pdf2djvu;),$(bindir)/pdf2djvu)
+	$(MAKE) -C tests/ pdf2djvu=$(exe)
+
 man_pages = $(wildcard doc/*.1 doc/po/*.1)
 mo_files = $(wildcard po/*.mo)
