=== debian/changelog ===
pdf2djvu (0.9.17.1-1) unstable; urgency=medium

  * New upstream release.
    + Fix build failure with Poppler ≥ 20.08 (Closes: #969888).
  * deb/control: add Rules-Requires-Root: no.
  * deb/rules: remove --as-needed linker flag to fix lintian.

 -- Hsieh-Tseng Shen <woodrow.shen@gmail.com>  Sat, 12 Sep 2020 11:45:15 +0800
