=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 Build-Conflicts:
  locales-all
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://jwilk.net/software/pdf2djvu
 Vcs-Browser: https://salsa.debian.org/debian/pdf2djvu
 Vcs-Git: https://salsa.debian.org/debian/pdf2djvu.git
